# Uses of Class
net.shibboleth.profile.plugin.PluginException

Packages that use PluginException
Package
Description
net.shibboleth.profile.plugin
Classes for plugins.

## Uses of PluginException in net.shibboleth.profile.plugin

Methods in net.shibboleth.profile.plugin that throw PluginException
Modifier and Type
Method
Description
`protected List<URL>`
PropertyDrivenPlugin.`getDefaultModuleInfoSources()`
Provides default module info locations to use.
`protected List<URL>`
PropertyDrivenPlugin.`getDefaultUpdateURLs()`
Provides default update locations to use.
`protected void`
PropertyDrivenPlugin.`load()`
Load plugin information from properties.
Constructors in net.shibboleth.profile.plugin that throw PluginException
Modifier
Constructor
Description
``
`PropertyDrivenPlugin(InputStream inputStream)`
Constructor.
``
`PropertyDrivenPlugin(Class<? extends Plugin<T>> claz)`
Constructor.
``
`PropertyDrivenPlugin(Properties properties)`
Constructor.